/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#pragma once
#include "resource.h"

// CGLSimpleInputDlg ダイアログ

class CGLSimpleInputDlg : public CDialog
{
	CString m_strTitle;
	CString m_strPrompt;
	CString m_strUserInput;

public:
	CGLSimpleInputDlg(
		const CString& strTitle = _T(""),
		const CString& strPrompt = _T(""));

// ダイアログ データ
	enum { IDD = IDD_LINE_EDIT };

	CString GetText() const;
	void SetText(const CString& str);

protected:
	virtual BOOL OnInitDialog();
	virtual void OnOK();

	virtual void DoDataExchange(CDataExchange* pDX);

	DECLARE_MESSAGE_MAP()
};
